Subject: [bug#49457] [PATCH v2] gnu: Add emacs-consult-notmuch.

From: Andrew Tropin <[email-masked]>
Date: Wed, 07 Jul 2021 17:33:33 +0300

Nicolas Goaziou <[email-masked]> writes:

> Hello,
>
> Andrew Tropin <[email-masked]> writes:
>
>> v2 uses propagated-inputs instead of inputs, because using
>> consult-notmuch without consult and notmuch doesn't make much sense.
>
> Thank you. However, notmuch should be an input, there's no reason to
> propagate it into user's profile.

There is a (require 'notmuch) in consult-notmuch code, so we need
notmuch.el on the load-path, sadly, but we don't have a separate
emacs-notmuch package for it and therefore we have to propagate the
whole notmuch package here :(